<div class="container-fluid body">
    <div class="card mb-3">
        <div class="card-header text-black" style=" text-align: center;">
            <h3> MI PERFIL </h3>
        </div>
        <div class="card-body body">
            <div class="row" style="margin: auto;">
                <div class="col" style="text-align: center;">
                    <img *ngIf="cliente?.foto" src="http://localhost:8080/mfit/uploads/img/clientes/{{cliente.foto}}"
                        alt="{{cliente.foto}}" style="max-width: auto; margin: auto;" class="img-thumbnail rounded">
                    <img *ngIf="!cliente?.foto" src="http://localhost:8080/images/no-usuario-lg.png" alt="sin foto"
                        class="img-thumbnail rounded" style=" width: 300px; ">
                    <div class="input-group mb-3">
                        <input (change)="seleccionarFoto($event)" type="file" class="form-control" id="inputGroupFile04"
                            aria-describedby="inputGroupFileAddon04" aria-label="Upload">
                        <button (click)="subirFoto()" [disabled]="!fotoSeleccionada" class="btn btn-outline-primary"
                            type="button" id="inputGroupFileAddon04">Subir
                            imagen</button>
                    </div>
                </div>
                <div class="col">
                    <ul *ngIf="cliente" class="list-group text-dark mb-12" style="text-align: center;">
                        <li class="list-group-item active">RUT: {{cliente.rut}}</li>
                        <li class="list-group-item">NOMBRE: {{cliente.nombre}}</li>
                        <li class="list-group-item">APELLIDOS: {{cliente.apellidoPaterno}} {{cliente.apellidoMaterno}}
                        </li>
                        <li class="list-group-item">FECHA NACIMIENTO: {{cliente.fechaNacimiento | date:"'dd/MM/yyyy"}}
                        </li>
                        <li class="list-group-item">EMAIL: {{cliente.correo}}</li>
                        <li class="list-group-item">FONO: {{cliente.telefono}}</li>
                        <li class="list-group-item">DIRECCION: {{cliente.direccion}}</li>
                        <li *ngIf="!cliente.habilitado" class="list-group-item">HABILITADO: NO</li>
                        <li *ngIf="cliente.habilitado" class="list-group-item">HABILITADO: SI</li>
                    </ul>

                    <div class="container">
                        <div class="row justify-content-center" style="margin: 1vw; ">
                            <div class="col-4" style="margin: auto;  ">
                                <button type="button" class="btn btn-secondary btn-lg"
                                    [routerLink]="['/clientes/form', cliente.id]">Editar Perfil</button>
                            </div>

                            <div class="col-4">
                                <button type="button" class="btn btn-link btn-lg"
                                    [routerLink]="['/clientes/password', cliente.id]">Cambiar contraseña</button>

                            </div>

                        </div>




                        <div class="row" style="margin: auto; ">
                            <div class="col">
                                <button type="button" class="btn btn-outline-info btn-lg"
                                    [routerLink]="['/clientes/reservas-entrenamiento', cliente.id]">Reservas de
                                    Entrenamiento</button>
                            </div>

                            <div class="col">
                                <button type="button" style="text-align: center;" class="btn btn-outline-info btn-lg"
                                    [routerLink]="['/clientes/reservas-especialista', cliente.id]">Reservas de
                                    Especialista</button>
                            </div>
                            <div class="col ">
                                <button type="button" class="btn btn-outline-info btn-lg"
                                    [routerLink]="['/clientes/pagos', cliente.id]"> Historial de Pagos </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>